RHoverInput:
    a span with border activate on hover and became an input when clicked
    it recive:
        input value : the span the input value
        saved : the flag to switch between input and span
        inputNotValidate:the flag to active the error style
        handleEditFunctionality:the function that execute when clicking on the span

RDropdownIcon:

RIconDiv

RTextIcon


RRenderUserInfo

generateRandomString(Length,Characters)